Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1361586 - binaries with RPATH defined
Summary: binaries with RPATH defined
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: mpich
Version: 27
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Zbigniew Jędrzejewski-Szmek
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-07-29 12:55 UTC by Michal Schmidt
Modified: 2017-11-28 23:47 UTC (History)
2 users (show)

Fixed In Version: mpich-3.2.1-2.fc27
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-11-28 23:47:30 UTC


Attachments (Terms of Use)
mpich.spec: remove rpath (deleted)
2016-07-29 12:55 UTC, Michal Schmidt
no flags Details | Diff

Description Michal Schmidt 2016-07-29 12:55:25 UTC
Created attachment 1185524 [details]
mpich.spec: remove rpath

Description of problem:
mpivars and mpichversion binaries have bad RPATH.

Version-Release number of selected component (if applicable):
mpich-3.2-5.fc24.x86_64

How reproducible:
always

Steps to Reproduce:
 readelf -d /usr/lib64/mpich/bin/mpivars | grep RPATH

Actual results:
 0x000000000000000f (RPATH)              Library rpath: [/builddir/build/BUILD/mpich-3.2/lib/.libs:/usr/lib64/mpich/lib]

Expected results:
The first path should definitely not be there, because it makes no sense to leak build system details into the binaries.
Having /usr/lib64/mpich/lib is not completely wrong, but it should be unnecessary, because it's expected that the user loads the mpich environment module before using mpich.

Additional info:
We're using "--disable-rpath", but I'm not sure why that's not sufficient to suppress these RPATHs.

I'm attaching a patch for mpich.spec to remove rpath using the Guidelines-suggested method of editing the libtool script.

On a related note, should we configure with "--disable-wrapper-rpath"?

Comment 1 Fedora End Of Life 2017-07-25 22:08:05 UTC
This message is a reminder that Fedora 24 is nearing its end of life.
Approximately 2 (two) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 24. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '24'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 24 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 2 Jan Kurik 2017-08-15 06:36:48 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 27 development cycle.
Changing version to '27'.

Comment 3 Fedora Update System 2017-11-14 10:57:16 UTC
mpich-3.2.1-2.fc27 has been pushed to the Fedora 27 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-18c6e5ac40

Comment 4 Fedora Update System 2017-11-28 23:47:30 UTC
mpich-3.2.1-2.fc27 has been pushed to the Fedora 27 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.